org.apache.pdfbox.multipdf

## Enum PDFMergerUtility.DocumentMergeMode

- java.lang.Object
- - java.lang.Enum<PDFMergerUtility.DocumentMergeMode>
  - - org.apache.pdfbox.multipdf.PDFMergerUtility.DocumentMergeMode

All Implemented Interfaces:
  Serializable, Comparable<PDFMergerUtility.DocumentMergeMode>

Enclosing class:
  PDFMergerUtility

    public static enum PDFMergerUtility.DocumentMergeMode
    extends Enum<PDFMergerUtility.DocumentMergeMode>

The mode to use when merging documents:

- `OPTIMIZE_RESOURCES_MODE` Optimizes resource handling such as closing documents early. Not all document elements are merged compared to the PDFBOX_LEGACY_MODE. Currently supported are:
  - Page content and resources
- `PDFBOX_LEGACY_MODE` Keeps all files open until the merge has been completed. This is currently necessary to merge documents containing a Structure Tree.
  This is the standard mode for PDFBox 2.0.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPTIMIZE_RESOURCES_MODE`
`PDFBOX_LEGACY_MODE`

### Method Summary

All Methods Static Methods Concrete Methods
`static PDFMergerUtility.DocumentMergeMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDFMergerUtility.DocumentMergeMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPTIMIZE_RESOURCES_MODE

    public static final PDFMergerUtility.DocumentMergeMode OPTIMIZE_RESOURCES_MODE

#### PDFBOX_LEGACY_MODE

    public static final PDFMergerUtility.DocumentMergeMode PDFBOX_LEGACY_MODE

### Method Detail

#### values

    public static PDFMergerUtility.DocumentMergeMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDFMergerUtility.DocumentMergeMode c : PDFMergerUtility.DocumentMergeMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDFMergerUtility.DocumentMergeMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null